class NuevaCuentaModel {
  NuevaCuentaModel({
    required this.result,
    required this.response,
    required this.message,
  });

  Result result;
  bool response;
  String message;

  factory NuevaCuentaModel.fromJson(Map<String, dynamic> json) => NuevaCuentaModel(
    result: Result.fromJson(json["result"]),
    response: json["response"],
    message: json["message"],
  );

  Map<String, dynamic> toJson() => {
    "result": result.toJson(),
    "response": response,
    "message": message,
  };
}

class Result {
  Result({
    required this.movil,
    required this.correo,
    required this.nombre,
    required this.idUsuario,
    required this.token
  });

  String movil;
  String correo;
  String nombre;
  String idUsuario;
  String token;

  factory Result.fromJson(Map<String, dynamic> json) => Result(
      movil: json["MOVIL"],
      correo: json["CORREO"],
      nombre: json["NOMBRE"],
      idUsuario: json["IDUSUARIO"],
      token: json["TOKEN"]
  );

  Map<String, dynamic> toJson() => {
    "MOVIL": movil,
    "CORREO": correo,
    "NOMBRE": nombre,
    "IDUSUARIO": idUsuario,
    "TOKEN": token
  };
}